<?php

defined('_JEXEC') or die;

class PlgSystemOgfb extends JPlugin
{

	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}


	public function onBeforeCompileHead()
	{
		
		$app = JFactory::getApplication();
		$option   = $app->input->getCmd('option', '');
		$view     = $app->input->getCmd('view', '');
		$id       = $app->input->getCmd('id', 0);
		$doc = JFactory::getDocument();
		$img = $this->params->get('image', '');

		if($option == 'com_content' && $view == 'article'){

			$regex = '#<img src="(.+?)"#';

			$db = JFactory::getDbo (); 
			$query = $db->getQuery ( true ); 
			$query	->select ($db->quotename(array('introtext','fulltext')))
					->from ( $db->quoteName ( '#__content') )
					->where( $db->quoteName('id').' = '.$id);
			$db->setQuery($query);
			$item = $db->loadObject();

			if($item){
				preg_match($regex, $item->introtext.$item->fulltext, $matches);
				if(!empty($matches)){
					$img = $matches[1];
				}
			}

		}

		$doc->addCustomTag('<meta property="og:image" content="'.$img.'"/>');
	}
}
